﻿using Hotline.Orders;
using Hotline.Settings;
using Hotline.Share.Dtos.Order;
using MapsterMapper;
using Microsoft.AspNetCore.Mvc;
using MongoDB.Driver;

namespace Hotline.Api.Controllers
{
    public class CommonPController: BaseController
    {
        private readonly ICommonOpinionDomainService _commonOpinionDomainService;
        private readonly IMapper _mapper;

        public CommonPController(ICommonOpinionDomainService commonOpinionDomainService,IMapper mapper)
        {
            _commonOpinionDomainService = commonOpinionDomainService;
            _mapper = mapper;
        }

        /// <summary>
        /// 获取常用意见
        /// </summary>
        /// <returns></returns>
        [HttpGet("common-list")]
        public async Task<IReadOnlyList<CommonOpinion>> GetCommon(string typecode)
        {
            return await _commonOpinionDomainService.GetCommonOpinions(typecode);
        }

        /// <summary>
        /// 新增常用意见
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("add-common")]
        public async Task AddCommon([FromBody]AddCommonDto dto)
        {
            var entity = _mapper.Map<CommonOpinion>(dto);
            await _commonOpinionDomainService.AddCommonOpinion(entity,HttpContext.RequestAborted);
        }

        /// <summary>
        /// 批量删除常用意见
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("del-common")]
        public async Task DelCommon([FromBody]DelCommonDto dto)
        {
            await _commonOpinionDomainService.DelCommonOpinion(dto.Ids, HttpContext.RequestAborted);
        }


    }
}
