﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Order;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Order
{
    public record QueryOrderDto : PagedKeywordRequest
    {

        /// <summary>
        /// 诉求内容
        /// </summary>
        public string? Content { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public EAcceptType? AcceptType { get; set; }

        /// <summary>
        /// 来源渠道
        /// </summary>
        public EChannel? Channel { get; set; }

        /// <summary>
        /// 转接号码（转接来源）
        /// </summary>
        public string? TransferPhone { get; set; }

        /// <summary>
        /// 热点分类
        /// </summary>
        public string? HotspotId { get; set; }

        /// <summary>
        /// 接办部门
        /// </summary>
        public string? OrgCode { get; set; }

        /// <summary>
        /// 受理坐席名字或工号
        /// </summary>
        public string? NameOrNo { get; set; }

        /// <summary>
        /// 受理时间(工单创建时间)
        /// </summary>
        public DateTime? CreationTimeStart { get; set; }
        public DateTime? CreationTimeEnd { get; set; }

        /// <summary>
        /// 紧急程度
        /// </summary>
        public EEmergencyLevel? EmergencyLevel { get; set; }

        /// <summary>
        /// 来电或联系电话
        /// </summary>
        public string? PhoneNo { get; set; }

        /// <summary>
        /// 推送分类
        /// </summary>
        public EPushType? PushType { get; set; }

        /// <summary>
        /// 过期时间
        /// </summary>
        public DateTime? ExpiredTimeStart { get; set; }
        public DateTime? ExpiredTimeEnd { get; set; }

        /// <summary>
        /// 工单状态
        /// </summary>
        public EOrderStatus? Status { get; set; }
    }
}
